Kriittinen haavoittuvuus Joomla!-sisällönhallintajärjestelmässä

Joomla!-sisällönhallintajärjestelmässä on havaittu kriittinen haavoittuvuus, jonka onnistunut hyväksikäyttö mahdollistaa hyökkääjän ohjelmakoodin suorittamisen. Haavoittuvuuden hyväksikäyttöyrityksiä on havaittu.

Suositussa verkkosivustojen ylläpitoon käytetyssä Joomla!-sisällönhallintajärjestelmässä on havaittu haavoittuvuus, jota hyväksikäyttämällä hyökkääjän on mahdollista suorittaa omaa ohjelmakoodiaan haavoittuvassa järjestelmässä. Haavoittuvuus liittyy puutteelliseen syötteiden tarkastukseen käsiteltäessä HTTP-pyyntöjä. Maailmalla on havaittu haavoittuvuuden hyväksikäyttöyrityksiä.

  • Palvelimet ja palvelinsovellukset
  • Työasemat ja loppukäyttäjäsovellukset
  • Verkon aktiivilaitteet
  • Matkaviestinjärjestelmät
  • Sulautetut järjestelmät
  • Muut

Kohde

  • Palvelimet ja palvelinsovellukset
Lisätietoa +

Hyökkäystapa

  • Ilman kirjautumista
  • Etäkäyttö
  • Ilman käyttäjän toimia
Lisätietoja hyökkäystavasta +

Hyväksikäyttö

  • Komentojen mielivaltainen suorittaminen
Lisätietoja hyväksikäytöstä +

Ratkaisu

  • Korjaava ohjelmistopäivitys
Lisätietoja ratkaisusta +

Haavoittuvat ohjelmistot:

Joomla!-versiot 1.5.0 - 3.4.5

Ratkaisu- ja rajoitusmahdollisuudet:

Päivitä ohjelmisto valmistajan ohjeiden mukaan.

Lisätietoa:

Päivityshistoria


Asiasanat: Tietoturva, CERT, NCSC-FI, Haavoittuvuudet


LinkedIn Print